stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
stdex::parser::parser_collection< T > Class Template Reference

Base template for collection-holding parsers. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::parser_collection< T >:

## Public Member Functions
| parser_collection (const std::shared_ptr< basic_parser< T > > *el, size_t count, const std::locale &locale=std::locale())
| parser_collection (std::vector< std::shared_ptr< basic_parser< T > > > &&collection, const std::locale &locale=std::locale())
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< T, std::char_traits< T > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Protected Member Functions
| parser_collection (const std::locale &locale)
Protected Member Functions inherited from stdex::parser::basic_parser< T >
virtual bool | do_match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)=0

## Protected Attributes
std::vector< std::shared_ptr< basic_parser< T > > > | m_collection
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Additional Inherited Members
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Detailed Description

template<class T>
class stdex::parser::parser_collection< T >

Base template for collection-holding parsers.

## Member Function Documentation

## ◆ invalidate()

template<class T >

virtual void stdex::parser::parser_collection< T >::invalidate | ( |  | ) |
| inline virtual

Reimplemented from stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp